<?php

namespace App\Filament\Resources\DisciplinaryReports\Pages;

use App\Filament\Resources\DisciplinaryReports\DisciplinaryReportResource;
use Filament\Actions\DeleteAction;
use Filament\Actions\ForceDeleteAction;
use Filament\Actions\RestoreAction;
use Filament\Actions\ViewAction;
use Filament\Resources\Pages\EditRecord;

class EditDisciplinaryReport extends EditRecord
{
    protected static string $resource = DisciplinaryReportResource::class;

    protected function getHeaderActions(): array
    {
        return [
            ViewAction::make(),
            DeleteAction::make(),
            ForceDeleteAction::make(),
            RestoreAction::make(),
        ];
    }
}
